NNG_LISTENER_CLOSE(3)

NAME
nng_listener_close - close listener

SYNOPSIS

    #include <nng/nng.h>

    int nng_listener_close(nng_listener l);

DESCRIPTION

The nng_listener_close() function closes the listener l. This also closes any pipes that have been created by the listener.

Once this function returns, the listener l and any of its resources are deallocated. Therefore it is an error to attempt to access l after this function has returned. (Attempts to do so will result in NNG_ECLOSED errors.)

Listeners are implicitly closed when the socket they are associated with is closed.

RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

ERRORS

NNG_ECLOSED
    Parameter l does not refer to an open listener.

SEE ALSO

nng_close(3), nng_listen(3), nng_listener_create(3) nng_strerror(3), nng_listener(5), nng(7)